---
updatedAt: 2025-07-14T13:38:30.000Z
agentTools:
  projectIndex: https://securityscorecard.readme.io/llms.txt
---

# /max/partner/documents

Delete multiple documents by IDs.

# OpenAPI definition

````json
{
  "openapi": "3.0.3",
  "info": {
    "title": "SecurityScorecard",
    "version": "0.0.1",
    "contact": {
      "name": "SecurityScorecard Support",
      "email": "support@securityscorecard.io"
    },
    "description": "For onboarding instructions and details on how SecurityScorecard API works,\nplease see our Readme guide: https://securityscorecard.readme.io/docs\n\nFor technical support please contact us at\n[support@securityscorecard.io](support@securityscorecard.io). We typically\nrespond in 48 hours and operate Monday thru Friday 9am - 5pm EST (excluding\nUS federal holidays).",
    "x-logo": {
      "url": "https://platform.securityscorecard.io/images/ssc-logo-white-stacked.svg",
      "backgroundColor": "#222830"
    }
  },
  "servers": [
    {
      "url": "https://api.securityscorecard.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "Token": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "SecurityScorecard API endpoints require an authentication token to be passed\nin an authorization header in order to return data. If you do not already\nhave a token, you can create one by going to the API Access area in your\n[Settings page](https://platform.securityscorecard.io/#/settings/api) and then\nclicking Generate New Token. Please note this tokens have no expiration\nso they can be used until manually revoked. If you have a token and generate\na new one, the previous token will be revoked and can no longer be used.\n\nAdministrators can also revoke API tokens for any user in their account.\n\nOnce you have your token you can pass it in using the `Authorization` http header like this:\n\n```\ncurl -X GET \\\n  https://api.securityscorecard.io/portfolios \\\n  -H 'authorization: Token <your token>'\n```"
      }
    },
    "schemas": {
      "ErrorBadRequest": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 400
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorUnauthorized": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 401
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorForbidden": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 403
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorNotFound": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 404
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorRateLimit": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 429
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "DocumentsToDeleteSchema": {
        "type": "object",
        "description": "Document ids to delete.",
        "properties": {
          "documentIds": {
            "type": "array",
            "items": {
              "type": "string",
              "format": "uuid"
            },
            "example": [
              "690cba40-cddd-4c61-b18e-63b0230512b5"
            ]
          }
        },
        "required": [
          "documentIds"
        ],
        "additionalProperties": false
      }
    }
  },
  "security": [
    {
      "Token": []
    }
  ],
  "paths": {
    "/max/partner/documents": {
      "delete": {
        "summary": "",
        "description": "Delete multiple documents by IDs.",
        "tags": [
          "partner"
        ],
        "parameters": [
          {
            "name": "version",
            "in": "header",
            "schema": {
              "type": "string",
              "example": "beta"
            },
            "description": "API version header"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DocumentsToDeleteSchema"
              }
            }
          },
          "required": true
        },
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorBadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorUnauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorForbidden"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorNotFound"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorRateLimit"
                }
              }
            }
          }
        }
      }
    }
  }
}
````